2

I tried to compile Opa web framework from source on Sabayon, because their main server has a hardware failure. However, when I tried to use configure I got: "Your ocaml installation seems broken, please fix it" message. I tried to reinstall ocaml, but it changed nothing.

$ equo install nodejs openssl mongodb ocaml git ocaml-autoconf
$ git clone https://github.com/MLstate/opalang


$ ./configure -ocamlfind `which ocamlfind` --prefix=/home/mictadlo/apps/
which: no ocamlfind in (/home/mictadlo/apps/Sublime Text 2:/home/mictadlo/apps/WebStorm/bin:/home/mictadlo/apps/netbeans/bin:/home/mictadlo/apps/pymodules/bin:/home/mictadlo/apps/bin:/bin:/home/mictadlo/apps/go_packages/bin:/home/mictadlo/apps/liteide/bin/:/home/mictadlo/apps/snap:/home/mictadlo/apps/node_modules/bin:/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.7.3:/usr/games/bin)
Checking your OS... Linux
Checking your architecture... x86_64
Checking ocamlopt... /usr/bin/ocamlopt.opt
Checking ocamlbuild... /usr/bin/ocamlbuild
Checking ocamldir... /usr/lib64/ocaml
Checking ocaml version... 4.01.0
Checking your ocaml setup... could not compile
----------
        /usr/lib64/ocaml/libasmrun.a: could not read symbols: Bad value
        collect2: error: ld returned 1 exit status
        File "caml_startup", line 1:
        Error: Error during linking
        Command exited with code 2.
----------
Your ocaml installation seems broken, please fix it

How is it possible to fix the problem?

1

A couple of issues that I'm noticing right off the bat.

  1. The option --prefix=... doesn't appear to be right, it should be -prefix ....
  2. You need to resolve where ocamlfind is, without this tool you won't be able to proceed with the install
  3. You'll need to install both the package along with its header libraries

    $ ./configure -ocamlfind `which ocamlfind` -prefix /home/saml/ocal/apps
    Checking your OS... Linux
    Checking your architecture... x86_64
    Checking ocamlopt... /usr/bin/ocamlopt.opt
    Checking ocamlbuild... /usr/bin/ocamlbuild
    Checking ocamldir... /usr/lib64/ocaml
    Checking ocaml version... 4.00.1
    Checking your ocaml setup... 4.00.1, Unix 64bit
    Checking for camlp4... /usr/bin/camlp4o
    Checking for perl 5... found
    Checking for java... found
    Checking for nodejs... found: node
    Checking for nodejs version... v0.10.25
    Checking for ocamlfind... /usr/bin/ocamlfind
    Checking for ulex... ocamlfind:/usr/lib64/ocaml/ulex, OK
    Checking for camlzip... ocamlfind:/usr/lib64/ocaml/zip, OK
    Checking for ocamlgraph... ocamlfind:/usr/lib64/ocaml/ocamlgraph, OK
    
    Congrats, you're all set. Installation will be done in:
        /home/saml/ocal/apps
    

After resolving the necessary packages + libraries I was able to install this on Fedora 19 without issue. There was a package on Fedora called "ocaml-findlib-1.3.3-4.fc19.x86_64", you're likely missing a package similar to this on Gentoo.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.